在庫状況の文言修正変更について

2014 年 11 月 23 日

ホーム フォーラム 使い方全般 在庫状況の文言修正変更について

このトピックには5件の返信が含まれ、2人の参加者がいます。2 年、 11 ヶ月前 nanbu さんが最後の更新を行いました。

6件の投稿を表示中 - 1 - 6件目 (全6件中)
  • 投稿者
    投稿
  • #72804

    Fourth.kaz
    参加者

    お世話になります。
    WordPress のバージョン:最新
    Welcart のバージョン:最新
    利用のテーマ:paypal_vermilion
    症状を確認したブラウザ:firefox
    サーバー(会社名、サービス名):さくらインターネット
    ——————————————–
    お客様からの注文後、取り寄せもしくは製作開始の商品が多数なので、在庫表示の文言を修正したく過去の質問を色々と探しました。

    現状、2種類しか購入不可であるようなので、(追加が出来ればなお良い)
    当方としましては購入できる事が条件ですから、使用しない「在庫僅少」を変更できないかと思い、

    こちらの質問から

    [未解決] 在庫ステータスのカスタマイズについて

    usc-e-shop/languages/usces-ja.po  1137行目
    msgid “A Few Stock”
    msgstr “在庫僅少”
    こちらを
    msgid “A Few Stock”
    msgstr “メーカー取り寄せ”
    と変更しましたが、商品マスターのページで在庫状況の選択が「在庫僅少」のまま。
    またプレビューでも変更されず。

    別の質問

    [解決済み] 在庫状態に関して


    こちらから
    usc-e-shop/includes/initial.php 4行目
    ‘1’ => __(‘A Few Stock’, ‘usces’),
    こちらを
    ‘1’ => __(‘メーカー取り寄せ’, ‘usces’),
    と変更してもかなわず。。。

    どこを変更すると文言を変えることが出来ますか?
    お手数ですが、よろしくお願いします。

    使用しましたエディターは「サクラエディタ Ver. 2.1.1.1」です。

    #72823

    nanbu
    参加者

    こんにちは。

    環境のをお書きいただきました、ソフトのバージョンは「最新」ではなくバージョン番号をご記入ください。

    また、Welcartも含めWordPressをカスタマイズする場合は、本体を改変してはいけません。カスタマイズ方法がございますので、WordPress Codexを見ていただくか、こちらをご参照ください。

    Welcart のカスタマイズとフック

    #72872

    Fourth.kaz
    参加者

    済みませんでした。
    バージョン 1.4.11
    を使用しています。

    文言変更方法、よろしくお願いします。

    #72910

    nanbu
    参加者

    検証は行っておりませんが、アクションフック ’usces_construct’ を使って、get_option(‘usces_zaiko_status’) の内容を書き換え、またupdate_option(‘usces_zaiko_status’) で保存し直すと言うふうにすれば、行けるのではないかと思います。

    #72919

    Fourth.kaz
    参加者

    返信ありがとうございます。

    当方、初心者なため、「フック」についてよく理解できておりませんゆえ、諦めます。
    こちらの書籍も購入しておりますが、初心者ゆえ「書いてある事が分からない」状況です。

    店舗により、扱う商品の内容は色々だと思います。
    可能であれば今後在庫表示の文言の変更・修正・追加が出来るようになってくれると嬉しいです。

    ご迷惑お掛けしました。

    #72967

    nanbu
    参加者

    在庫ステータスは、単にステータスの名前だけではなく、そのステータスによって購入ができるのかできないのかなどの動作に関わってくる部分ですので、なかなか簡単にはいかない所なのです。しかし、この辺は編集したいという声も以前から聞いておりますので、前向きに検討して行きたいと思います。

6件の投稿を表示中 - 1 - 6件目 (全6件中)

このトピックに返信するにはログインが必要です。